com.collabnet.ce.soap60.webservices.frs

## Interface IFrsAppSoap

- All Known Implementing Classes:
    FrsAppSoapMockStub, FrsAppSoapStub

      public interface IFrsAppSoap

  Provides SOAP services for managing the file release system.

  Change History

  Version 8.0
  - getArtifactListReportedInRelease2: New operation added to get the autoSummingPoints and Team field information.
  - getArtifactListResolvedInRelease2: New operation added to get the autoSummingPoints and Team field information.

  Version 6.1
  - getArtifactListReportedInRelease2: Removed and merged into getArtifactListReportedInRelease.
  - getArtifactListResolvedInRelease2: Removed and merged into getArtifactListResolvedInRelease.

  Version 5.4
  - Added getArtifactListReportedInRelease2 to support the story points field
  - Added getArtifactListResolvedInRelease2 to support the story points field

  Version 5.3
  - getArtifactListReportedInRelease: New operation added in 5.3
  - getArtifactListResolvedInRelease: New operation added in 5.3

  Version 4.4

  - PackageSoapDO: Added new methods getIsPublished and setIsPublished

  - createPackage: Added new parameter to call in 4.4
  - createPackage2: Removed in 4.4. Use createPackage instead
  - isPackagePublished: Removed in 4.4. Use getPackageData and call PackageSoapDO.getIsPublished() instead
  - setPackagePublished: Removed in 4.4. Use PackageSoapDO.setIsPublished() and setPackageData instead
  - getReleaseDownloadCount: Removed in 4.4. Use getReleaseData and call ReleaseSoapDO.getDownloaded() instead
  - getPackageDownloadCount: Removed in 4.4. Use getPackageData and call PackageSoapDO.getDownloaded() instead

  Since:
    4.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FrsFileSoapDO` | `createFrsFile(String sessionId, String releaseId, String fileName, String mimeType, String fileId)` Creates a new FRS file and adds it to the specified release.
    `PackageSoapDO` | `createPackage(String sessionId, String projectId, String title, String description, boolean isPublished)` Creates a new FRS package.
    `ReleaseSoapDO` | `createRelease(String sessionId, String packageId, String title, String description, String status, String maturity)` Creates a new release within a specified package.
    `void` | `deleteFrsFile(String sessionId, String frsFileId)` Deletes the specified file.
    `void` | `deletePackage(String sessionId, String packageId)` Deletes the specified package.
    `void` | `deleteRelease(String sessionId, String releaseId)` Deletes the specified release.
    `ArtifactSoapList` | `getArtifactListReportedInRelease(String sessionId, String releaseId)` Lists artifacts that were found in the given release.
    `Artifact2SoapList` | `getArtifactListReportedInRelease2(String sessionId, String releaseId)` Lists artifacts that were found in the given release.
    `ArtifactSoapList` | `getArtifactListResolvedInRelease(String sessionId, String releaseId)` Lists artifacts that were resolved in the given release.
    `Artifact2SoapList` | `getArtifactListResolvedInRelease2(String sessionId, String releaseId)` Lists artifacts that were resolved in the given release.
    `FrsFileSoapDO` | `getFrsFileData(String sessionId, String frsFileId)` Gets FRS file data.
    `String` | `getFrsFileId(String sessionId, String frsFileId)` Returns a temporary file storage object id to download an FRS file.
    `FrsFileSoapList` | `getFrsFileList(String sessionId, String releaseId)` Returns a list of files within a release.
    `PackageSoapDO` | `getPackageData(String sessionId, String packageId)` Returns package data.
    `PackageSoapList` | `getPackageList(String sessionId, String projectId)` Lists packages within a project.
    `ReleaseSoapDO` | `getReleaseData(String sessionId, String releaseId)` Returns the specified release data.
    `ReleaseSoapList` | `getReleaseList(String sessionId, String packageId)` Lists the releases within a specified package.
    `void` | `setPackageData(String sessionId, PackageSoapDO packageData)` Returns package data.
    `void` | `setReleaseData(String sessionId, ReleaseSoapDO releaseData)` Sets the specified release data.

- - ### Method Detail

    - #### createPackage

          PackageSoapDO createPackage(String sessionId,
                                      String projectId,
                                      String title,
                                      String description,
                                      boolean isPublished)
                               throws RemoteException

      Creates a new FRS package.

      Requires OperationConstants.FRSAPPFOLDER_CREATE_CREATEPACKAGE

      Change History
      Version 4.4
      - Added additional parameter `isPublished`
      Parameters:
        `sessionId` - User session id.
        `projectId` - The project id.
        `title` - Package title.
        `description` - Package description.
        `isPublished` - Whether the package should be published
      Returns:
        Newly created package object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### getPackageList

          PackageSoapList getPackageList(String sessionId,
                                         String projectId)
                                  throws RemoteException

      Lists packages within a project.
      Parameters:
        `sessionId` - User session id.
        `projectId` - The project id.
      Returns:
        List of packages within the specified project.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### getPackageData

          PackageSoapDO getPackageData(String sessionId,
                                       String packageId)
                                throws RemoteException

      Returns package data.
      Parameters:
        `sessionId` - User session id.
        `packageId` - The package id.
      Returns:
        Package object data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### setPackageData

          void setPackageData(String sessionId,
                              PackageSoapDO packageData)
                       throws RemoteException

      Returns package data.

      Requires OperationConstants.PACKAGE_EDIT_EDIT

      Parameters:
        `sessionId` - User session id.
        `packageData` - The package object to edit.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when package data is stale.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### deletePackage

          void deletePackage(String sessionId,
                             String packageId)
                      throws RemoteException

      Deletes the specified package.
      Parameters:
        `sessionId` - User session id.
        `packageId` - The package id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### getReleaseList

          ReleaseSoapList getReleaseList(String sessionId,
                                         String packageId)
                                  throws RemoteException

      Lists the releases within a specified package.
      Parameters:
        `sessionId` - User session id.
        `packageId` - The package id.
      Returns:
        List of releases within the specified package.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### createRelease

          ReleaseSoapDO createRelease(String sessionId,
                                      String packageId,
                                      String title,
                                      String description,
                                      String status,
                                      String maturity)
                               throws RemoteException

      Creates a new release within a specified package.
      Parameters:
        `sessionId` - User session id.
        `packageId` - The package id.
        `title` - Release title.
        `description` - Release description.
        `status` - Release status ("active", "pending")
        `maturity` - Maturity level ("Alpha", etc.)
      Returns:
        Newly created release object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### deleteRelease

          void deleteRelease(String sessionId,
                             String releaseId)
                      throws RemoteException

      Deletes the specified release.
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The release id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### getReleaseData

          ReleaseSoapDO getReleaseData(String sessionId,
                                       String releaseId)
                                throws RemoteException

      Returns the specified release data.
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The release id.
      Returns:
        Release data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### setReleaseData

          void setReleaseData(String sessionId,
                              ReleaseSoapDO releaseData)
                       throws RemoteException

      Sets the specified release data.
      Parameters:
        `sessionId` - User session id.
        `releaseData` - The release object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when package data is stale.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when release data is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### createFrsFile

          FrsFileSoapDO createFrsFile(String sessionId,
                                      String releaseId,
                                      String fileName,
                                      String mimeType,
                                      String fileId)
                               throws RemoteException

      Creates a new FRS file and adds it to the specified release.
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The release id.
        `fileName` - Name of the attached file.
        `mimeType` - File mime type.
        `fileId` - Uploaded file id (through FileStorageApp or SimpleFileStorageApp service).
      Returns:
        Newly created frs file object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when one or more parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### getFrsFileData

          FrsFileSoapDO getFrsFileData(String sessionId,
                                       String frsFileId)
                                throws RemoteException

      Gets FRS file data.
      Parameters:
        `sessionId` - SOAP session id.
        `frsFileId` - FRS file id of the object to retrieve.
      Returns:
        the FRS file data.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when SOAP session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when frsFileId does not exist.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permissions are insufficient.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when an argument is invalid.
        `RemoteException`
      Since:
        4.2

    - #### getFrsFileList

          FrsFileSoapList getFrsFileList(String sessionId,
                                         String releaseId)
                                  throws RemoteException

      Returns a list of files within a release.
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The release id.
      Returns:
        List of files within the specified release.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### deleteFrsFile

          void deleteFrsFile(String sessionId,
                             String frsFileId)
                      throws RemoteException

      Deletes the specified file.
      Parameters:
        `sessionId` - User session id.
        `frsFileId` - The frs file id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### getFrsFileId

          String getFrsFileId(String sessionId,
                              String frsFileId)
                       throws RemoteException

      Returns a temporary file storage object id to download an FRS file. The returned file storage id should be used with one of the file storage services to download the file (e.g. FileStorageApp or SimpleFileStorageApp service).
      IMPORTANT: The returned file id is valid ONLY during the session.
      Parameters:
        `sessionId` - User session id.
        `frsFileId` - FRS File id.
      Returns:
        File storage id (for download using FileStorageService or SimpleFileStorageService).
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when permission is denied for the specified operation.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        4.1

    - #### getArtifactListReportedInRelease

          ArtifactSoapList getArtifactListReportedInRelease(String sessionId,
                                                            String releaseId)
                                                     throws RemoteException

      Lists artifacts that were found in the given release.
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The id of the release
      Returns:
        List of the artifacts reported in the given release.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        5.3

    - #### getArtifactListReportedInRelease2

          Artifact2SoapList getArtifactListReportedInRelease2(String sessionId,
                                                              String releaseId)
                                                       throws RemoteException

      Lists artifacts that were found in the given release. The difference between this method and getArtifactListReportedInRelease is that this returns `Artifact2SoapList` that adds the autoSummingpoints and Team field information on the artifact
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The id of the release
      Returns:
        List of the artifacts reported in the given release.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        8.0

    - #### getArtifactListResolvedInRelease

          ArtifactSoapList getArtifactListResolvedInRelease(String sessionId,
                                                            String releaseId)
                                                     throws RemoteException

      Lists artifacts that were resolved in the given release.
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The id of the release
      Returns:
        List of the artifacts resolved in the given release.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        5.3

    - #### getArtifactListResolvedInRelease2

          Artifact2SoapList getArtifactListResolvedInRelease2(String sessionId,
                                                              String releaseId)
                                                       throws RemoteException

      Lists artifacts that were resolved in the given release. The difference between this method and getArtifactListResolvedInRelease is that this returns `Artifact2SoapList` that adds the autoSummingPoints and Team field information on the artifact.
      Parameters:
        `sessionId` - User session id.
        `releaseId` - The id of the release
      Returns:
        List of the artifacts resolved in the given release.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`
      Since:
        8.0

Copyright © 2020 CollabNet. All rights reserved.